import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconTruck as IconTruckClass } from "../../../../components/icon/icons/truck.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconTruck = (props) => {
  IconTruckClass.define();
  const JSXElement = getReactComponent("gds-icon-truck");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconTruck.displayName = "IconTruck";
export {
  IconTruck
};
